org.faceless.pdf2.viewer2.feature

## Class AnnotationLineFactory

- java.lang.Object
- - org.faceless.pdf2.viewer2.ViewerFeature
  - - org.faceless.pdf2.viewer2.AnnotationComponentFactory
    - - org.faceless.pdf2.viewer2.feature.AnnotationLineFactory

-     public class AnnotationLineFactory
      extends AnnotationComponentFactory

  Create annotations that handle Line `AnnotationShape` objects. The name of this feature is AnnotationLine

  This code is copyright the Big Faceless Organization. You're welcome to use, modify and distribute it in any form in your own projects, provided those projects continue to make use of the Big Faceless PDF library.

  Since:
    2.11.7

- - ### Field Summary

    - ### Fields inherited from class org.faceless.pdf2.viewer2.AnnotationComponentFactory

      `FOCUSBORDER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationLineFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `copyAnnotationState(PDFAnnotation sourceannot, PDFAnnotation targetannot)` Copies the properties of a given source annotation created by this factory to a target annotation of the same type.
    `JComponent` | `createComponent(PagePanel pagepanel, PDFAnnotation annot)` Return a JComponent that will visually represent the specified PDFAnnotation.
    `JComponent` | `createEditComponent(PDFAnnotation annot, boolean readonly, boolean create)` Return a JComponent that can be used to edit the annotation or display additional information.
    `protected JComponent` | `createEditor(AnnotationShape annot, PDFParser parser)`
    `PDFAnnotation` | `createNewAnnotation(float x1, float y1, float x2, float y2)` Returns a new annotation of this factory's type with specified bounds.
    `String` | `getAnnotationType()` Return the name of the type of widgets this AnnotationComponentFactory creates or edits.
    `boolean` | `matches(PDFAnnotation annot)` Return true if this AnnotationComponentFactory could create a `JComponent` for the specified `PDFAnnotation`.
    `protected boolean` | `matchesShape(AnnotationShape annot)`

    - ### Methods inherited from class org.faceless.pdf2.viewer2.AnnotationComponentFactory

      `addStockDetailsToEditComponent, bindComponentLocation, bindComponentLocation, bindComponentLocation, bindComponentLocation, createDeleteAction, createEditAction, createFlattenAction, createNewAnnotation, getPreferences, getViewer, initialize, isFactoryReadOnly, makeComponentInteractive, paintComponent, paintComponentAnnotations, popupPropertyMenu, postEdit, toString`

    - ### Methods inherited from class org.faceless.pdf2.viewer2.ViewerFeature

      `getAllEnabledFeatures, getAllFeatures, getCustomJavaScript, getFeatureProperty, getFeatureURLProperty, getName, isEnabledByDefault, setFeatureName, teardown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationLineFactory

          public AnnotationLineFactory()

  - ### Method Detail

    - #### getAnnotationType

          public String getAnnotationType()

      Description copied from class: `AnnotationComponentFactory`
      Return the name of the type of widgets this AnnotationComponentFactory creates or edits.
      Overrides:
        `getAnnotationType` in class `AnnotationComponentFactory`

    - #### matchesShape

          protected boolean matchesShape(AnnotationShape annot)

    - #### createNewAnnotation

          public PDFAnnotation createNewAnnotation(float x1,
                                                   float y1,
                                                   float x2,
                                                   float y2)

      Description copied from class: `AnnotationComponentFactory`
      Returns a new annotation of this factory's type with specified bounds.
      Overrides:
        `createNewAnnotation` in class `AnnotationComponentFactory`
      Parameters:
        `x1` - the lower left x coordinate
        `y1` - the lower left y coordinate
        `x2` - the top right x coordinate
        `y2` - the top right y coordinate

    - #### createEditor

          protected JComponent createEditor(AnnotationShape annot,
                                            PDFParser parser)

    - #### createComponent

          public JComponent createComponent(PagePanel pagepanel,
                                            PDFAnnotation annot)

      Description copied from class: `AnnotationComponentFactory`

      Return a JComponent that will visually represent the specified PDFAnnotation. The default implementation returns a JPanel that will display the annotation appearance - it's usually best to call super.createComponent() then add any required listeners in the subclasses.

      By default this method returns a JCompoment whose `paintComponent()` method is overridden to call `paintComponent(this, this.ui, g)` followed by `paintComponentAnnotations(this, g)` - typically, the main reason to override this method is when a different type of object is required (eg. a `JTextField`)

      Parameters:
        `pagepanel` - the panel the JComponent will be added to
        `annot` - the annotation
      See Also:
        `paintComponentAnnotations()`, `paintComponent()`

    - #### matches

          public boolean matches(PDFAnnotation annot)

      Description copied from class: `AnnotationComponentFactory`
      Return true if this AnnotationComponentFactory could create a `JComponent` for the specified `PDFAnnotation`.
      Specified by:
        `matches` in class `AnnotationComponentFactory`

    - #### createEditComponent

          public JComponent createEditComponent(PDFAnnotation annot,
                                                boolean readonly,
                                                boolean create)

      Description copied from class: `AnnotationComponentFactory`
      Return a JComponent that can be used to edit the annotation or display additional information. If the annotation has no dialog that should work with it in this way, this method should return null (the default)
      Overrides:
        `createEditComponent` in class `AnnotationComponentFactory`
      Parameters:
        `annot` - the annotation
        `readonly` - whether we are displaying or editing the annotation
        `create` - if readonly if false, whether we are editing an existing or creating a new annotation

    - #### copyAnnotationState

          protected void copyAnnotationState(PDFAnnotation sourceannot,
                                             PDFAnnotation targetannot)

      Description copied from class: `AnnotationComponentFactory`
      Copies the properties of a given source annotation created by this factory to a target annotation of the same type. This is used to make a temporary copy of an annotation for editing purposes.
      Overrides:
        `copyAnnotationState` in class `AnnotationComponentFactory`
      Parameters:
        `sourceannot` - the annotation to copy properties from
        `targetannot` - the annotation to copy properties to

Copyright © 2001-2015 Big Faceless Organization